Page MenuHomePhabricator

Create composer validate --no-check-publish job for MediaWiki extensions
Closed, ResolvedPublic

Description

We want to use composer.json to specify development dependencies (T90943), however those extensions don't necessarily want to be published as composer packages.

I submitted https://github.com/composer/composer/pull/3804 which has been merged upstream to add a --no-check-publish which still ensures the file has valid syntax, but doesn't require it to be valid to be published as a composer package ('name' and 'description').

We should create a 'php-composer-validate-package' job which checks the composer.json file is valid to be published as a composer package for repos that do want that. All other extensions would use 'php-composer-validate', which uses the --no-check-publish option.

We'll have to also update our composer to something that has my patch (or backport it?).

Event Timeline

Legoktm created this task.Feb 28 2015, 9:46 PM
Legoktm updated the task description. (Show Details)
Legoktm raised the priority of this task from to Needs Triage.
Legoktm added a subscriber: Legoktm.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 28 2015, 9:46 PM
Krinkle updated the task description. (Show Details)Mar 2 2015, 1:44 PM
Krinkle set Security to None.
Krinkle triaged this task as Low priority.Mar 2 2015, 1:52 PM

Change 194364 had a related patch set uploaded (by Legoktm):
Update to dev-master#05e196893b1225898de280ef8f97d5f2be684e8f

https://gerrit.wikimedia.org/r/194364

Change 194364 merged by Legoktm:
Update to dev-master#05e196893b1225898de280ef8f97d5f2be684e8f

https://gerrit.wikimedia.org/r/194364

Change 194421 had a related patch set uploaded (by Legoktm):
Use --no-check-publish in php-composer-validate, create php-composer-validate-package

https://gerrit.wikimedia.org/r/194421

Change 194421 merged by jenkins-bot:
Use --no-check-publish in php-composer-validate, create php-composer-package-validate

https://gerrit.wikimedia.org/r/194421

Legoktm closed this task as Resolved.Mar 5 2015, 12:39 AM
Legoktm claimed this task.